FreeMat

- Main Page
- Related Pages

vtkNonLinearCell

Section: Visualization Toolkit Filtering Classes

# Usage

vtkNonLinearCell is an abstract superclass for non-linear cell types. Cells that are a direct subclass of vtkCell or vtkCell3D are linear; cells that are a subclass of vtkNonLinearCell have non-linear interpolation functions. Non-linear cells require special treatment when tessellating or converting to graphics primitives. Note that the linearity of the cell is a function of whether the cell needs tessellation, which does not strictly correlate with interpolation order (e.g., vtkHexahedron has non-linear interpolation functions (a product of three linear functions in r-s-t) even thought vtkHexahedron is considered linear.)

To create an instance of class vtkNonLinearCell, simply invoke its constructor as follows

      obj = vtkNonLinearCell

# Methods

The class vtkNonLinearCell has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkNonLinearCell class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkNonLinearCell = obj.NewInstance ()`
- `vtkNonLinearCell = obj.SafeDownCast (vtkObject o)`
- `int = obj.IsLinear ()`